package com.gx.obe.server.common.utils;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/** 
 * @Description: 获取配置属性
 * @author mazc 
 */
@Component
public class ConfigProperties {

	 
	/**
	 * 获取时间的服务器地址
	 */
	private static String serverUrl;
	
	
	@Value("${time.serverUrl}")
	public void setServerUrl(String serverUrl) {
		this.serverUrl = serverUrl;
	}

	public static String getServerUrl() {
		return serverUrl;
	}
	  
}
