package com.gx.obe.server.im.serverthread;

import java.text.SimpleDateFormat;
import java.util.Date;

import org.slf4j.Logger;

import com.gx.obe.server.im.listener.ServerInfoListener;

/**<pre>
 * @Description:
 * @Description:
 * @author guoyr
 * </pre>
 */
public class ImServer {

	private static Logger LOG = org.slf4j.LoggerFactory.getLogger(ImServer.class);
	private static SimpleDateFormat dateTimeFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
	private static IMServerAdapter serverAdapter;
	/**
	 * @Description:  终端登录监听
	 * @author guoyr
	 */
	
	public static void Strat() {
		String serverIp =  "127.0.0.1";//properties.getProperty(PropertieEnum.SERVER_IP, "127.0.0.1");
		int chatPort = 1988 ;//Integer.parseInt(properties.getProperty(PropertieEnum.CHAT_PORT, "1988"));
		int serverPort = 1987;//Integer.parseInt(properties.getProperty(PropertieEnum.SERVER_PORT, "1987"));
//		try {
//			String rexp = "([1-9]|[1-9]\\d|1\\d{2}|2[0-4]\\d|25[0-5])(\\.(\\d|[1-9]\\d|1\\d{2}|2[0-4]\\d|25[0-5])){3}";  
//			Pattern pat = Pattern.compile(rexp);    
//			Matcher mat = pat.matcher(serverIp);    
//			if(!mat.find()){
//				InetAddress aaaa = InetAddress.getByName(serverIp);
//				serverIp = aaaa.getHostAddress();
//			}
//		} catch (UnknownHostException e) {
//		}
//		
//		LOG.info("服务器IP："+serverIp);
//		LOG.info("连接端口："+serverPort);
//		LOG.info("消息发送端口："+chatPort);
		
		serverAdapter = IMServerAdapter.getInstance();
		serverAdapter.addserverInfoListener(new ServerInfoListener(){

			public void info(Date time, String message, boolean flag) {
				if(flag){
					LOG.info(dateTimeFormat.format(time)+ message);
				}else {
					LOG.info(dateTimeFormat.format(time) + message);
				}
			}
			public void info(Date time, String message) {
				LOG.info(message);
			}
			public void online(Date onlineTime, String userId, int onlineSize){
				LOG.info(userId +"于"+dateTimeFormat.format(onlineTime)+" 上线，当前共" + onlineSize +"在线！");
			};
			public void offline(Date onlineTime, String userId, int onlineSize){
				LOG.error(userId +"于"+dateTimeFormat.format(onlineTime)+" 下线，当前共" + onlineSize +"在线！");
			};
			
		});
		
		serverAdapter.startServer(serverIp, chatPort, serverPort);
		
//		while(true){
//			try {
//				Thread.sleep(1000);
//			} catch (InterruptedException e) {
//			}
//		}
	}
	
	public static void close() {
		if(null != serverAdapter) {
			serverAdapter.closeServer();
		}
	}
}
