package com.gx.obe.server.management.dictionary.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.dictionary.entity.TemplateFile;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface TemplateFileMapper extends BaseMapper<TemplateFile> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeTemplateFileList 
	 */
	Integer updateBatchList (@Param("ObeTemplateFileList") List<TemplateFile> ObeTemplateFileList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeTemplateFileList 
	 */
	Integer insertByBatch (@Param("ObeTemplateFileList")List<TemplateFile> ObeTemplateFileList);

}