package com.gx.obe.server.management.dictionary.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_dict_link")
public class DictLink extends Model<DictLink> {
	private static final long serialVersionUID=1L;

    /**
     * 数据字典值主键
     */
            @TableId("DICT_LINK_ID")
                private String id;
    /**
     * 字典外键
     */
    @TableField("DICT_ID")
        private String dictId;
    /**
     * 项目外键
     */
    @TableField("TENDER_ID")
        private String tenderId;
    /**
     * 投标人外键
     */
    @TableField("SUPPLIER_ID")
        private String supplierId;
    /**
     * 评标步骤外键
     */
    @TableField("STEP_ID")
        private String stepId;
    /**
     * 关联编号
     */
    @TableField("LINK_CODE")
        private String linkCode;


  
    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getDictId(){
        return dictId;
        }

        public void setDictId(String dictId) {
        this.dictId = dictId;
        }

    public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getSupplierId(){
        return supplierId;
        }

        public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
        }

    public String getStepId(){
        return stepId;
        }

        public void setStepId(String stepId) {
        this.stepId = stepId;
        }

    public String getLinkCode(){
        return linkCode;
        }

        public void setLinkCode(String linkCode) {
        this.linkCode = linkCode;
        }

    public static final String DICT_LINK_ID ="DICT_LINK_ID";

    public static final String DICT_ID ="DICT_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String SUPPLIER_ID ="SUPPLIER_ID";

    public static final String STEP_ID ="STEP_ID";

    public static final String LINK_CODE ="LINK_CODE";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {
    return "DictLink{" +
            ", id=" + id +
            ", dictId=" + dictId +
            ", tenderId=" + tenderId +
            ", supplierId=" + supplierId +
            ", stepId=" + stepId +
            ", linkCode=" + linkCode +
    "}";
    }
    }
