package com.gx.obe.server.management.dictionary.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

/**
 * @Description:
 * @author mazc
 */

@TableName("obe_torrent_file")
public class TorrentFile extends Model<TorrentFile> {
	private static final long serialVersionUID = 1L;

	/**
	 * 种子文件id
	 */
	@TableId("TORRENT_ID")
	private String id;
	/**
	 * 项目id
	 */
	@TableField("TENDER_ID")
	private String tenderId;
	/**
	 * 种子文件名称
	 */
	@TableField("FILE_NAME")
	private String fileName;
	/**
	 * 种子文件字节码
	 */
	@TableField("FILE_BITE")
	private  byte[] fileBite;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTenderId() {
		return tenderId;
	}

	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public  byte[] getFileBite() {
		return fileBite;
	}

	public void setFileBite( byte[] fileBite) {
		this.fileBite = fileBite;
	}

	public static final String TORRENT_ID = "TORRENT_ID";

	public static final String TENDER_ID = "TENDER_ID";

	public static final String FILE_NAME = "FILE_NAME";

	public static final String FILE_BITE = "FILE_BITE";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "TorrentFile{" + ", id=" + id + ", tenderId=" + tenderId + ", fileName=" + fileName
				+ ", fileBite=" + fileBite + "}";
	}
}
