package com.gx.obe.server.management.fileload.entity;

import java.io.Serializable;

import org.springframework.web.multipart.MultipartFile;


public class FileChunk implements Serializable {

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private int id;
    
    /**
     * 当前文件块，从1开始
     */
    private Integer chunkNumber;
    
    /**
     * 分块大小
     */
    private Long chunkSize;
    
    /**
     * 当前分块大小
     */
    private Long currentChunkSize;
    
    /**
     * 总大小
     */
    private Long totalSize;
    /**
     * 文件标识
     */
    private String identifier;
    
    /**
     * 文件名
     */
    private String filename;
    

    /**
     * 总块数
     */
    private Integer totalChunks;
    
    /**
     * 文件类型
     */
    private String type;


    private MultipartFile file;
    
    
    /**
     * 项目id
     */
    private String tenderId;
    
    /**
     * 供应商id
     */
    private String supplierId;
 
    /**
     * 文件类型
     */
    private String fileType;
    
    
    private String fileChunkMD5;
    

	public String getFileChunkMD5() {
		return fileChunkMD5;
	}

	public void setFileChunkMD5(String fileChunkMD5) {
		this.fileChunkMD5 = fileChunkMD5;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public Integer getChunkNumber() {
		return chunkNumber;
	}

	public void setChunkNumber(Integer chunkNumber) {
		this.chunkNumber = chunkNumber;
	}

	public Long getChunkSize() {
		return chunkSize;
	}

	public void setChunkSize(Long chunkSize) {
		this.chunkSize = chunkSize;
	}

	public Long getCurrentChunkSize() {
		return currentChunkSize;
	}

	public void setCurrentChunkSize(Long currentChunkSize) {
		this.currentChunkSize = currentChunkSize;
	}

	public Long getTotalSize() {
		return totalSize;
	}

	public void setTotalSize(Long totalSize) {
		this.totalSize = totalSize;
	}

	public String getIdentifier() {
		return identifier;
	}

	public void setIdentifier(String identifier) {
		this.identifier = identifier;
	}

	public String getFilename() {
		return filename;
	}

	public void setFilename(String filename) {
		this.filename = filename;
	}

	public Integer getTotalChunks() {
		return totalChunks;
	}

	public void setTotalChunks(Integer totalChunks) {
		this.totalChunks = totalChunks;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public MultipartFile getFile() {
		return file;
	}

	public void setFile(MultipartFile file) {
		this.file = file;
	}

	public String getTenderId() {
		return tenderId;
	}

	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}

	public String getSupplierId() {
		return supplierId;
	}

	public void setSupplierId(String supplierId) {
		this.supplierId = supplierId;
	}

	public String getFileType() {
		return fileType;
	}

	public void setFileType(String fileType) {
		this.fileType = fileType;
	}
    
    
}
