package com.gx.obe.server.management.menu.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

/**
 * 
 * @author
 * @Title: AuthMenuFunction
 * @Package com.gx.obe.server.management.menu.entity
 * @Description:
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date: 2019-05-10
 * @version V1.0
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved.
 * 
 */

@TableName("auth_menu_function")
public class AuthMenuFunction extends Model<AuthMenuFunction> {
	private static final long serialVersionUID = 1L;

	@TableId("FUNCTION_ID")
	private String id;
	@TableField("MENU_ID")
	private String menuId;
	@TableField("FUNCTION_NAME")
	private String functionName;
	@TableField("FUNCTION_CODE")
	private String functionCode;
	@TableField("FUNCTION_TYPE")
	private String functionType;
	@TableField("FUNCTION_STATUS")
	private String functionStatus;
	@TableField("SORT_NO")
	private Integer sortNo;
	
	@TableField("MEMO")
	private String memo;
	
	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getMenuId() {
		return menuId;
	}

	public void setMenuId(String menuId) {
		this.menuId = menuId;
	}

	public String getFunctionName() {
		return functionName;
	}

	public void setFunctionName(String functionName) {
		this.functionName = functionName;
	}

	public String getFunctionCode() {
		return functionCode;
	}

	public void setFunctionCode(String functionCode) {
		this.functionCode = functionCode;
	}

	public String getFunctionType() {
		return functionType;
	}

	public void setFunctionType(String functionType) {
		this.functionType = functionType;
	}

	public String getFunctionStatus() {
		return functionStatus;
	}

	public void setFunctionStatus(String functionStatus) {
		this.functionStatus = functionStatus;
	}

	public Integer getSortNo() {
		return sortNo;
	}

	public void setSortNo(Integer sortNo) {
		this.sortNo = sortNo;
	}

	public static final String FUNCTION_ID = "FUNCTION_ID";

	public static final String MENU_ID = "MENU_ID";

	public static final String FUNCTION_NAME = "FUNCTION_NAME";

	public static final String FUNCTION_CODE = "FUNCTION_CODE";

	public static final String FUNCTION_TYPE = "FUNCTION_TYPE";

	public static final String FUNCTION_STATUS = "FUNCTION_STATUS";

	public static final String SORT_NO = "SORT_NO";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "AuthMenuFunction{" + ", id=" + id + ", menuId=" + menuId + ", functionName="
				+ functionName + ", functionCode=" + functionCode + ", functionType=" + functionType
				+ ", functionStatus=" + functionStatus + ", sortNo=" + sortNo + "}";
	}
}
