package com.gx.obe.server.management.other.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.other.entity.InquireEnvelop;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface InquireEnvelopService extends IService<InquireEnvelop> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeInquireEnvelopList 
	 */
 	Integer updateByBatch (List<InquireEnvelop> ObeInquireEnvelopList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeInquireEnvelopList 
	 */
	Integer insertByBatch (List<InquireEnvelop> ObeInquireEnvelopList);
	
	/**
	 * @Description: 获得询标函列表
	 * @author mazc
	 * @param tenderId
	 * @param userId
	 * @param supplierId
	 * @param stepId
	 * @return 
	 */
	List<InquireEnvelop> getInquireEnvelopList(String tenderId, String userId, String supplierId, String stepId);
	
	 boolean updateAssignProperty(InquireEnvelop inquireEnvelop);
 }



