package com.gx.obe.server.management.scancode.entity;

import java.io.Serializable;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor 
public class SignatureValueInfo implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 140933191924419732L;
	/**
	 * 事件id
	 */
	private String tId;
	/**
	 * 证书序列号
	 */
	private String  certSn;
	/**
	 * 证书类型
	 */
	private String  caOrgType;
	/**
	 * 签名原值
	 */
	private String  signOriVal;
	/**
	 * 签名值
	 */
	private String  signatureValue;
	
	private List<ScanCodeSign> signatureValueList;
	
	/**
	 * 公钥证书
	 */
	private String  pubCert;
	/**
	 * 签名算法
	 */
	private String  algorithm;
 	
	
}
