package com.gx.obe.server.management.struct_new.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.struct_new.entity.ObePerformance;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObePerformanceMapper extends BaseMapper<ObePerformance> {

    /**
     * @param ObePerformanceList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObePerformanceList") List<ObePerformance> ObePerformanceList);

    /**
     * @param ObePerformanceList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObePerformanceList") List<ObePerformance> ObePerformanceList);

    /**
     * @param ObePerformance
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObePerformance") ObePerformance ObePerformance, @Param("attributes") String[] attributes);

    /**
     * @param ObePerformanceList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObePerformanceList") List<ObePerformance> ObePerformanceList, @Param("attributes") String[] attributes);

}