package com.gx.obe.server.management.struct_new.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.struct_new.entity.ObeTemplateTable;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeTemplateTableMapper extends BaseMapper<ObeTemplateTable> {

    /**
     * @param ObeTemplateTableList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeTemplateTableList") List<ObeTemplateTable> ObeTemplateTableList);

    /**
     * @param ObeTemplateTableList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeTemplateTableList") List<ObeTemplateTable> ObeTemplateTableList);

    /**
     * @param ObeTemplateTable
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeTemplateTable") ObeTemplateTable ObeTemplateTable, @Param("attributes") String[] attributes);

    /**
     * @param ObeTemplateTableList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeTemplateTableList") List<ObeTemplateTable> ObeTemplateTableList, @Param("attributes") String[] attributes);

}