package com.gx.obe.server.management.struct_new.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author mazc
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_work_experience")
public class ObeWorkExperience extends Model<ObeWorkExperience> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("ID")
    private String id;
    /**
     * 项目ID
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 项目负责人ID
     */
    @TableField("PROJECT_LEADER_ID")
    private String projectLeaderId;
    /**
     * 时间
     */
    @TableField("TIME")
    private String time;
    /**
     * 参加的类似项目
     */
    @TableField("PROJECT_NAME")
    private String projectName;
    /**
     * 担任职务
     */
    @TableField("JOB_TITLE")
    private String jobTitle;
    /**
     * 发包人及其联系联系电话
     */
    @TableField("CONTRACT_INFO")
    private String contractInfo;
    /**
     * 承担的工作
     */
    @TableField("BEAR_WORK")
    private String bearWork;
    /**
     * 容量（MW）
     */
    @TableField("CAPACITY")
    private String capacity;
    /**
     * 排序
     */
    @TableField("SORT_NO")
    private Integer sortNo;

}