package com.gx.obe.server.management.table.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author mazc
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_bid_price_table_value")
public class ObeBidPriceTableValue extends Model<ObeBidPriceTableValue> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("ID")
    private String id;
    /**
     * 项目ID
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 供应商ID
     */
    @TableField("SUPPLIER_ID")
    private String supplierId;
    /**
     * 报价明细表ID
     */
    @TableField("PRICE_TABLE_ID")
    private String priceTableId;
    /**
     * 报价明细列ID
     */
    @TableField("TABLE_TITLE_ID")
    private String tableTitleId;
    /**
     * 报价明细行ID
     */
    @TableField("TABLE_ITEM_ID")
    private String tableItemId;
    /**
     * 内容
     */
    @TableField("VALUE")
    private String value;

}