package com.gx.obe.server.management.vo;

import java.util.List;
import java.util.Map;

import com.gx.obe.server.management.evaluation.entity.EvaluationStep;
import com.gx.obe.server.management.expert.entity.ExpertEvaluationResult;
import com.gx.obe.server.management.supplier.entity.Supplier;



/** 
 * @Description: 
 * @author wangxiang 
 */
public class SubmitCreditEvaluationResultVo {
	
	

	private String userId;

	private List<Supplier> supplierList;

	private Map<String, ExpertEvaluationResult> expertEvaluationResultMap;
	
	private String tenderId ;
	
	private EvaluationStep evaluationStep;
	
	public SubmitCreditEvaluationResultVo() {}

	public SubmitCreditEvaluationResultVo(String tenderId, String userId, EvaluationStep evaluationStep, List<Supplier> supplierList, Map<String, ExpertEvaluationResult> expertEvaluationResultMap) {
		super();
		this.tenderId = tenderId;
		this.userId = userId;
		this.evaluationStep = evaluationStep;
		this.supplierList = supplierList;
		this.expertEvaluationResultMap = expertEvaluationResultMap;
	}


	
	public String getTenderId() {
		return tenderId;
	}

	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}

	public EvaluationStep getEvaluationStep() {
		return evaluationStep;
	}

	public void setEvaluationStep(EvaluationStep evaluationStep) {
		this.evaluationStep = evaluationStep;
	}



	public String getUserId() {
		return userId;
	}



	public void setUserId(String userId) {
		this.userId = userId;
	}



	public List<Supplier> getSupplierList() {
		return supplierList;
	}



	public void setSupplierList(List<Supplier> supplierList) {
		this.supplierList = supplierList;
	}



	public Map<String, ExpertEvaluationResult> getExpertEvaluationResultMap() {
		return expertEvaluationResultMap;
	}



	public void setExpertEvaluationResultMap(Map<String, ExpertEvaluationResult> expertEvaluationResultMap) {
		this.expertEvaluationResultMap = expertEvaluationResultMap;
	}

}
