package com.gx.obe.server.tripartitefunction.bidata.vo;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;
 
public class Judicialaidalter implements Serializable {

    /**
	 * 
	 */
	private static final long serialVersionUID = 6851676513409429642L;
	/**
	 * 股权变更ID ,
	 */
	@JsonProperty("MODIFYID")
    private String MODIFYID;
    /**
     *  执行法院 ,
     */
    @JsonProperty("COURTNAME")
    private String COURTNAME;
    
    /**
     * 执行事项 ,
     */
    @JsonProperty("EXECUTION")
    private String EXECUTION;
    
    /**
     * 执行裁定书文号 ,
     */
    @JsonProperty("JUDGMENT_NO")
    private String JUDGMENT_NO;
    
    /**
     * 协助执行通知书文号 ,
     */
    @JsonProperty("EX_NOTICE_NO")
    private String EX_NOTICE_NO;
    
    /**
     * 被执行人 ,
     */
    @JsonProperty("INAME")
    private String INAME;
    
    /**
     * 被执行人类型 ,
     */
    @JsonProperty("INAME_TYPE")
    private String INAME_TYPE;
    
    /**
     * 被执行人证件类型 ,
     */
    @JsonProperty("INAME_ITYPE")
    private String INAME_ITYPE;
    /**
     * 被执行人证照类型 ,
     */
    @JsonProperty("INAME_LTYPE")
    private String INAME_LTYPE;
    /**
     *  被执行人证照号码 ,
     */
    @JsonProperty("INAME_LICENCE")
    private String INAME_LICENCE;
    /**
     * : 股权数额 ,
     */
    @JsonProperty("SHAREAM")
    private String SHAREAM;
    /**
     * 币种 ,
     */
    @JsonProperty("CUR")
    private String CUR;
    /**
     *  受让人 ,
     */
    @JsonProperty("ASSIGNEE")
    private String ASSIGNEE;
    /**
     *  受让人类型 ,
     */
    @JsonProperty("ASSIGNEE_TYPE")
    private String ASSIGNEE_TYPE;
    /**
     * 受让人证件类型 ,
     */
    @JsonProperty("ASSIGNEE_ITYPE")
    private String ASSIGNEE_ITYPE;
    /**
     * 受让人证照类型 ,
     */
    @JsonProperty("ASSIGNEE_LTYPE")
    private String ASSIGNEE_LTYPE;
    /**
     * 受让人证照号码 ,
     */
    @JsonProperty("ASSIGNEE_LICENCE")
    private String ASSIGNEE_LICENCE;
    /**
     * 协助执行日期
     */
    @JsonProperty("AEDATE")
    private String AEDATE;
	public String getMODIFYID() {
		return MODIFYID;
	}
	public void setMODIFYID(String mODIFYID) {
		MODIFYID = mODIFYID;
	}
	public String getCOURTNAME() {
		return COURTNAME;
	}
	public void setCOURTNAME(String cOURTNAME) {
		COURTNAME = cOURTNAME;
	}
	public String getEXECUTION() {
		return EXECUTION;
	}
	public void setEXECUTION(String eXECUTION) {
		EXECUTION = eXECUTION;
	}
	public String getJUDGMENT_NO() {
		return JUDGMENT_NO;
	}
	public void setJUDGMENT_NO(String jUDGMENT_NO) {
		JUDGMENT_NO = jUDGMENT_NO;
	}
	public String getEX_NOTICE_NO() {
		return EX_NOTICE_NO;
	}
	public void setEX_NOTICE_NO(String eX_NOTICE_NO) {
		EX_NOTICE_NO = eX_NOTICE_NO;
	}
	public String getINAME() {
		return INAME;
	}
	public void setINAME(String iNAME) {
		INAME = iNAME;
	}
	public String getINAME_TYPE() {
		return INAME_TYPE;
	}
	public void setINAME_TYPE(String iNAME_TYPE) {
		INAME_TYPE = iNAME_TYPE;
	}
	public String getINAME_ITYPE() {
		return INAME_ITYPE;
	}
	public void setINAME_ITYPE(String iNAME_ITYPE) {
		INAME_ITYPE = iNAME_ITYPE;
	}
	public String getINAME_LTYPE() {
		return INAME_LTYPE;
	}
	public void setINAME_LTYPE(String iNAME_LTYPE) {
		INAME_LTYPE = iNAME_LTYPE;
	}
	public String getINAME_LICENCE() {
		return INAME_LICENCE;
	}
	public void setINAME_LICENCE(String iNAME_LICENCE) {
		INAME_LICENCE = iNAME_LICENCE;
	}
	public String getSHAREAM() {
		return SHAREAM;
	}
	public void setSHAREAM(String sHAREAM) {
		SHAREAM = sHAREAM;
	}
	public String getCUR() {
		return CUR;
	}
	public void setCUR(String cUR) {
		CUR = cUR;
	}
	public String getASSIGNEE() {
		return ASSIGNEE;
	}
	public void setASSIGNEE(String aSSIGNEE) {
		ASSIGNEE = aSSIGNEE;
	}
	public String getASSIGNEE_TYPE() {
		return ASSIGNEE_TYPE;
	}
	public void setASSIGNEE_TYPE(String aSSIGNEE_TYPE) {
		ASSIGNEE_TYPE = aSSIGNEE_TYPE;
	}
	public String getASSIGNEE_ITYPE() {
		return ASSIGNEE_ITYPE;
	}
	public void setASSIGNEE_ITYPE(String aSSIGNEE_ITYPE) {
		ASSIGNEE_ITYPE = aSSIGNEE_ITYPE;
	}
	public String getASSIGNEE_LTYPE() {
		return ASSIGNEE_LTYPE;
	}
	public void setASSIGNEE_LTYPE(String aSSIGNEE_LTYPE) {
		ASSIGNEE_LTYPE = aSSIGNEE_LTYPE;
	}
	public String getASSIGNEE_LICENCE() {
		return ASSIGNEE_LICENCE;
	}
	public void setASSIGNEE_LICENCE(String aSSIGNEE_LICENCE) {
		ASSIGNEE_LICENCE = aSSIGNEE_LICENCE;
	}
	public String getAEDATE() {
		return AEDATE;
	}
	public void setAEDATE(String aEDATE) {
		AEDATE = aEDATE;
	}
    
   

}