package com.gx.obe.server.im;

/**
 * @Description:
 * @Description:
 * @author guoyr
 */
public class IMConstants {
	
	/**
	 * 系统消息ID
	 */
	public static final String SYSTEM_NOTICE_ID = "SYSTEM_NOTICE_ID"; 
	/**
	 *登录
	 */
	public static final String LOGIN_IN = "0";
	/**
	 * 有人创建了包含我的群
	 */
	public static final String JOINED_GROUP = "1";
	/**
	 * 有人修改了群成员
	 */
	public static final String CHANGE_GROUP_ITEM = "2";
	/**
	 * 有人自动退出群组
	 */
	public static final String QUIT_GROUP = "3";
	/**
	 * 有人解散群组了
	 */
	public static final String DISSOLVE_GROUP = "4";
	/**
	 * 有人发起了聊天
	 */
	public static final String CHAT = "5";
	/**
	 * 有人发起了群聊天
	 */
	public static final String GROUP_CHAT = "6";
	/**
	 * 发送文件申请
	 */
	public static final String SEND_FILE_REQUEST = "7";
	/**
	 * 发送离线文件
	 */
	public static final String SEND_OFFLINE_FILE = "8";
	/**
	 * 终端退出
	 */
	public static final String QUIT_OUT = "9";
	/**
	 * 通过服务器转发文件请求
	 */
	public static final String SEND_FILE_BY_SERVER_REQUEST = "a";
	/**
	 * 开始通过服务器转发文件
	 */
	public static final String CONNECTION_FILE_SERVER = "b";
	/**
	 * 通知
	 */
	public static final String NOTICE = "n";
	/**
	 * 发送端取消所有的发送文件
	 */
	public static final String CANCEL_ALL_SEND_FILE = "A";
	/**
	 * 发送端取消发送文件
	 */
	public static final String CANCEL_SEND_FILE = "C";
	/**
	 * 服务器告知发送者，接收端不在线
	 */
	public static final String CLIENT_OFFLINE = "X";
	/**
	 * 本来在线发送文件，发送端改成发离线文件
	 */
	public static final String CHANGE_SEND_OFFLINE_FILE = "L";
	/**
	 * 接收方拒绝接收文件
	 */
	public static final String REJECT_RECEIVE_FILE = "N";
	/**
	 * 接收方告诉发送方开始发送文件
	 */
	public static final String TELL_TO_BEGIN_SEND_FILE = "Y";
	/**
	 * 接收方告诉发送方，已经接收完成
	 */
	public static final String RECEIVE_FILE_SUCCESS = "O";
	/**
	 * 发送离线文件请求，服务器通知客户端接收离线文件
	 */
	public static final String SEND_OFFLINE_FILE_REQUEST = "F";
	/**
	 * 闪屏
	 */
	public static final String SHANPING = "S";
	/**
	 * 视频请求
	 */
	public static final String VIDEO_REQUEST = "R";
	/**
	 * 接收并显示视频
	 */
	public static final String ACCEPT_VIDEO = "V";
	/**
	 * 关闭视频
	 */
	public static final String CLOSE_VIDEO = "c";
	/**
	 * 组织架构被修改，需要重新刷新组织架构
	 */
	public static final String CHANGE_DEP = "Z";
	/**
	 * 用户被删除
	 */
	public static final String DELETE_USER = "K";
	/**
	 * 客户端的版本太低
	 */
	public static final String LOW_VERSION = "U";
	/**
	 * 服务器让客户端重新登录
	 */
	public static final String RE_LOGIN_IN = "I";
	/**
	 * 客户端退了，让服务器清理线程
	 */
	public static final String QUIT_OUT_AND_CLEAR = "T";
	/**
	 * 客户端退了，让服务器清理线程，同时删除未收的文件
	 */
	public static final String QUIT_OUT_AND_DELETE_FILE = "D";
	
}
