package com.gx.obe.server.management.dictionary.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

/**
 * @Description:
 * @author mazc
 */

@TableName("obe_struct")
public class Struct extends Model<Struct> {
	private static final long serialVersionUID = 1L;

	/**
	 * 结构化主键
	 */
	@TableId("STRUCT_ID")
	private String id;
	/**
	 * 项目主键
	 */
	@TableField("TENDER_ID")
	private String tenderId;
	/**
	 * 供应商主键
	 */
	@TableField("SUPPLIER_ID")
	private String supplierId;
	/**
	 * 指标主键
	 */
	@TableField("FACTOR_ID")
	private String factorId;
	/**
	 * 用户主键
	 */
	@TableField("USER_ID")
	private String userId;
	/**
	 * 结构化类型
	 */
	@TableField("STRUCT_TYPE")
	private String structType;
	/**
	 * 结构化状态
	 */
	@TableField("STRUCT_STATE")
	private String structState;
	/**
	 * 原因
	 */
	@TableField("REASON")
	private String reason;
	@TableField("QUA_TYPE")
	private String quaType;
	/**
	 * 附件列表
	 */
	@TableField("ATTACHMENT_LIST")
	private byte[] attachmentList;
	/**
	 * 结构化数据
	 */
	@TableField("STRUCT_CONTENT")
	private byte[] structContent;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTenderId() {
		return tenderId;
	}

	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}

	public String getSupplierId() {
		return supplierId;
	}

	public void setSupplierId(String supplierId) {
		this.supplierId = supplierId;
	}

	public String getFactorId() {
		return factorId;
	}

	public void setFactorId(String factorId) {
		this.factorId = factorId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getStructType() {
		return structType;
	}

	public void setStructType(String structType) {
		this.structType = structType;
	}

	public String getStructState() {
		return structState;
	}

	public void setStructState(String structState) {
		this.structState = structState;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public String getQuaType() {
		return quaType;
	}

	public void setQuaType(String quaType) {
		this.quaType = quaType;
	}

	public byte[] getAttachmentList() {
		return attachmentList;
	}

	public void setAttachmentList(byte[] attachmentList) {
		this.attachmentList = attachmentList;
	}

	public byte[] getStructContent() {
		return structContent;
	}

	public void setStructContent(byte[] structContent) {
		this.structContent = structContent;
	}

	public static final String STRUCT_ID = "STRUCT_ID";

	public static final String TENDER_ID = "TENDER_ID";

	public static final String SUPPLIER_ID = "SUPPLIER_ID";

	public static final String FACTOR_ID = "FACTOR_ID";

	public static final String USER_ID = "USER_ID";

	public static final String STRUCT_TYPE = "STRUCT_TYPE";

	public static final String STRUCT_STATE = "STRUCT_STATE";

	public static final String REASON = "REASON";

	public static final String QUA_TYPE = "QUA_TYPE";

	public static final String ATTACHMENT_LIST = "ATTACHMENT_LIST";

	public static final String STRUCT_CONTENT = "STRUCT_CONTENT";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "Struct{" + ", id=" + id + ", tenderId=" + tenderId + ", supplierId=" + supplierId + ", factorId="
				+ factorId + ", userId=" + userId + ", structType=" + structType + ", structState=" + structState
				+ ", reason=" + reason + ", quaType=" + quaType + ", attachmentList=" + attachmentList
				+ ", structContent=" + structContent + "}";
	}
}
