package com.gx.obe.server.management.dictionary.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.dictionary.entity.Struct;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface StructService extends IService<Struct> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeStructList 
	 */
 	Integer updateByBatch (List<Struct> ObeStructList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeStructList 
	 */
	Integer insertByBatch (List<Struct> ObeStructList);
	
	/**
	 * @Description: 根据供应商id和指标id获取结构化数据列表
	 * @author mazc
	 * @param tenderId
	 * @param supplierId
	 * @param factorId
	 * @return 
	 */
	List<Struct> getStructBySupplierIdAndFactorIdList(String tenderId, String supplierId, String factorId);

	boolean updateAssignProperty(Struct struct);
}



