package com.gx.obe.server.management.dictionary.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gx.obe.server.management.dictionary.dao.ChainMapper;
import com.gx.obe.server.management.dictionary.entity.Chain;
import com.gx.obe.server.management.dictionary.service.ChainService;
import com.gx.obe.server.management.user.dao.AuthUserMapper;
import com.gx.obe.server.management.user.entity.AuthUserEntity;

/** 
 * @Description: 
 * @author wangxiang 
 */
@Service
@Transactional
public class ChainServiceImpl extends ServiceImpl<ChainMapper, Chain> implements ChainService {

	@Autowired
	private ChainMapper chainMapper;
	
	/**
     * @Description: 更新分配属性
     * @author wangxiang
     * @param authUserEntity
     * @param attributes
     * @return 
     */
	@Override
    public boolean updateAssignProperty(Chain chain, String[] attributes) {
        return chainMapper.updateAssignProperty(chain, attributes) > 0;
    }
	
}
