package com.gx.obe.server.management.evaluation.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.evaluation.entity.EvaluationFactorItem;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import java.util.Map;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface EvaluationFactorItemMapper extends BaseMapper<EvaluationFactorItem> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeEvaluationFactorItemList 
	 */
	Integer updateBatchList (@Param("ObeEvaluationFactorItemList") List<EvaluationFactorItem> ObeEvaluationFactorItemList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEvaluationFactorItemList 
	 */
	Integer insertByBatch (@Param("ObeEvaluationFactorItemList")List<EvaluationFactorItem> ObeEvaluationFactorItemList);
	
	
	/**
	 * @Description: 
	 * @author mazc
	 * @param tenderId
	 * @param factorCode
	 * @return 
	 */
	List<Map<String, Object>> getEvaluationFactorItemCount(@Param("tenderId")String tenderId, @Param("factorCode")String factorCode);

}