package com.gx.obe.server.management.evaluation.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_evaluation_factor_item")
public class EvaluationFactorItem extends Model<EvaluationFactorItem> {
	private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
            @TableId("ITEM_ID")
                private String itemId;
    /**
     * 名称
     */
    @TableField("ITEM_NAME")
        private String itemName;
    /**
     * 类型
     */
    @TableField("ITEM_TYPE")
        private String itemType;
    /**
     * 说明
     */
    @TableField("ITEM_MEMO")
        private String itemMemo;
    /**
     * 关联节点代码
     */
    @TableField("FACTOR_CODE")
        private String factorCode;
    /**
     * 内容
     */
    @TableField("ITEM_CONTENT")
        private String itemContent;
    /**
     * 供应商id
     */
    @TableField("SUPPLIER_ID")
        private String supplierId;
    /**
     * 排序
     */
    @TableField("SORT_NO")
        private Integer sortNo;
    /**
     * 项目id
     */
    @TableField("TENDER_ID")
        private String tenderId;


    public String getItemId(){
        return itemId;
        }

        public void setItemId(String itemId) {
        this.itemId = itemId;
        }

    public String getItemName(){
        return itemName;
        }

        public void setItemName(String itemName) {
        this.itemName = itemName;
        }

    public String getItemType(){
        return itemType;
        }

        public void setItemType(String itemType) {
        this.itemType = itemType;
        }

    public String getItemMemo(){
        return itemMemo;
        }

        public void setItemMemo(String itemMemo) {
        this.itemMemo = itemMemo;
        }

    public String getFactorCode(){
        return factorCode;
        }

        public void setFactorCode(String factorCode) {
        this.factorCode = factorCode;
        }

    public String getItemContent(){
        return itemContent;
        }

        public void setItemContent(String itemContent) {
        this.itemContent = itemContent;
        }

    public String getSupplierId(){
        return supplierId;
        }

        public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
        }

    public Integer getSortNo(){
        return sortNo;
        }

        public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
        }

    public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public static final String ITEM_ID ="ITEM_ID";

    public static final String ITEM_NAME ="ITEM_NAME";

    public static final String ITEM_TYPE ="ITEM_TYPE";

    public static final String ITEM_MEMO ="ITEM_MEMO";

    public static final String FACTOR_CODE ="FACTOR_CODE";

    public static final String ITEM_CONTENT ="ITEM_CONTENT";

    public static final String SUPPLIER_ID ="SUPPLIER_ID";

    public static final String SORT_NO ="SORT_NO";

    public static final String TENDER_ID ="TENDER_ID";

@Override
protected Serializable pkVal(){
        return this.itemId;
    }

@Override
public String toString() {
    return "EvaluationFactorItem{" +
            ", itemId=" + itemId +
            ", itemName=" + itemName +
            ", itemType=" + itemType +
            ", itemMemo=" + itemMemo +
            ", factorCode=" + factorCode +
            ", itemContent=" + itemContent +
            ", supplierId=" + supplierId +
            ", sortNo=" + sortNo +
            ", tenderId=" + tenderId +
    "}";
    }
    }
