package com.gx.obe.server.management.evaluation.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.evaluation.entity.EvaluationStepFactor;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface EvaluationStepFactorService extends IService<EvaluationStepFactor> {
 
	/**
	 * @Description: 通过项目id 删除评标步
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	public int deleteStepFactorByTenderId(String tenderId) ;
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEvaluationStepFactorList 
	 */
	Integer updateBatchList (List<EvaluationStepFactor> ObeEvaluationStepFactorList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEvaluationStepFactorList 
	 */
	Integer insertByBatch (List<EvaluationStepFactor> ObeEvaluationStepFactorList);

    /**
     * @Description: 删除当前评标步骤所有的评审指标
     * @author chenxw
     * @param id 
     */
    public int deleteAllEvaluationStepFactor(String stepId);
    
    
    List<Object> getFactorIdLsitByStepId(String stepId);

}

