package com.gx.obe.server.management.expert.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.expert.entity.ExpertLibrary;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface ExpertLibraryService extends IService<ExpertLibrary> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeExpertLibraryList 
	 */
 	Integer updateByBatch (List<ExpertLibrary> ObeExpertLibraryList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeExpertLibraryList 
	 */
	Integer insertByBatch (List<ExpertLibrary> ObeExpertLibraryList);
	
	boolean changeExpertLibrarySortNo(String sourceSortNo, String sourceid, String targetSortNo, String targetId);
	 
	int getMaxExpertLibrarySortNo();
	 
	boolean updateAssignProperty(ExpertLibrary expertLibrary);
		
	/**
	 * @Description: 
	 * @author mazc
	 * @param 
	 * @return 
	 */
	ExpertLibrary saveOrUpdateReturn(ExpertLibrary expertLibrary);
	
	List<ExpertLibrary> getExpertLibraryByOrderByorUseStatus(String useStatus);
	 List<Object> getExpertLibByExpertLibNameOrId(String id ,String expertLibName);
}



