package com.gx.obe.server.management.fileload.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.fileload.entity.VideoFile;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;

/** 
 * @Description: 
 * @author mazc 
 */
@Mapper
public interface ObeVideoFileMapper extends BaseMapper<VideoFile> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeVideoFileList 
	 */
	Integer updateBatchList(@Param("ObeVideoFileList") List<VideoFile> ObeVideoFileList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeVideoFileList 
	 */
	Integer insertByBatch(@Param("ObeVideoFileList") List<VideoFile> ObeVideoFileList);

	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param VideoFile
	 * @param attributes
     */
    Integer updateAssignProperty(@Param("VideoFile")VideoFile VideoFile, @Param("attributes")String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param ObeVideoFileList
	 * @param attributes
     */
    Integer batchUpdateProperty(@Param("ObeVideoFileList")List<VideoFile> ObeVideoFileList, @Param("attributes")String[] attributes);

}