package com.gx.obe.server.management.menu.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("auth_role_menu")
public class AuthRoleMenu extends Model<AuthRoleMenu> {
	private static final long serialVersionUID=1L;

    /**
     * 角色菜单主键
     */
            @TableId("ROLE_MENU_ID")
                private String id;
    /**
     * 角色外键
     */
    @TableField("ROLE_ID")
        private String roleId;
    /**
     * 菜单外键
     */
    @TableField("MENU_ID")
        private String menuId;
    /**
     * 创建人外键
     */
    @TableField("CREATE_USER_ID")
        private String createUserId;
    /**
     * 修改人外键
     */
    @TableField("MODIFY_USER_ID")
        private String modifyUserId;
    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private Date createTime;
    /**
     * 修改时间
     */
    @TableField("MODIFY_TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private Date modifyTime;


 

    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getRoleId(){
        return roleId;
        }

        public void setRoleId(String roleId) {
        this.roleId = roleId;
        }

    public String getMenuId(){
        return menuId;
        }

        public void setMenuId(String menuId) {
        this.menuId = menuId;
        }

    public String getCreateUserId(){
        return createUserId;
        }

        public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
        }

    public String getModifyUserId(){
        return modifyUserId;
        }

        public void setModifyUserId(String modifyUserId) {
        this.modifyUserId = modifyUserId;
        }

    public Date getCreateTime(){
        return createTime;
        }

        public void setCreateTime(Date createTime) {
        this.createTime = createTime;
        }

    public Date getModifyTime(){
        return modifyTime;
        }

        public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
        }

    public static final String ROLE_MENU_ID ="ROLE_MENU_ID";

    public static final String ROLE_ID ="ROLE_ID";

    public static final String MENU_ID ="MENU_ID";

    public static final String CREATE_USER_ID ="CREATE_USER_ID";

    public static final String MODIFY_USER_ID ="MODIFY_USER_ID";

    public static final String CREATE_TIME ="CREATE_TIME";

    public static final String MODIFY_TIME ="MODIFY_TIME";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {
    return "AuthRoleMenu{" +
            ", id=" + id +
            ", roleId=" + roleId +
            ", menuId=" + menuId +
            ", createUserId=" + createUserId +
            ", modifyUserId=" + modifyUserId +
            ", createTime=" + createTime +
            ", modifyTime=" + modifyTime +
    "}";
    }
    }
