package com.gx.obe.server.management.software.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gx.obe.server.management.software.entity.ObeSoftware;

/** 
 * @Description: 
 * @author mazc 
 */
@Mapper
public interface ObeSoftwareMapper extends BaseMapper<ObeSoftware> {

	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param ObeSoftware
	 * @param attributes
     */
    Integer updateAssignProperty(@Param("ObeSoftware")ObeSoftware ObeSoftware, @Param("attributes")String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param ObeSoftwareList
	 * @param attributes
     */
    Integer batchUpdateProperty(@Param("ObeSoftwareList")List<ObeSoftware> ObeSoftwareList, @Param("attributes")String[] attributes);
    
    
    List<ObeSoftware> getSoftwarePageList(@Param("status")String status);

}