package com.gx.obe.server.management.struct_new.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.struct_new.entity.ObeBusinessLicense;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeBusinessLicenseMapper extends BaseMapper<ObeBusinessLicense> {

    /**
     * @param ObeBusinessLicenseList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeBusinessLicenseList") List<ObeBusinessLicense> ObeBusinessLicenseList);

    /**
     * @param ObeBusinessLicenseList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeBusinessLicenseList") List<ObeBusinessLicense> ObeBusinessLicenseList);

    /**
     * @param ObeBusinessLicense
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeBusinessLicense") ObeBusinessLicense ObeBusinessLicense, @Param("attributes") String[] attributes);

    /**
     * @param ObeBusinessLicenseList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeBusinessLicenseList") List<ObeBusinessLicense> ObeBusinessLicenseList, @Param("attributes") String[] attributes);

}