package com.gx.obe.server.management.struct_new.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author mazc
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_business_license")
public class ObeBusinessLicense extends Model<ObeBusinessLicense> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("ID")
    private String id;
    /**
     * 项目ID
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 模型数据ID
     */
    @TableField("MODEL_DATA_ID")
    private String modelDataId;
    /**
     * 统一社会信用代码
     */
    @TableField("REGISTER_NUMBER")
    private String registerNumber;
    /**
     * 企业名称
     */
    @TableField("COMPANY_NAME")
    private String companyName;
    /**
     * 法定代表人
     */
    @TableField("LEGAL_REPRESENTATIVE")
    private String legalRepresentative;
    /**
     * 注册资本（万元）
     */
    @TableField("REGISTER_CAPITAL")
    private String registerCapital;
    /**
     * 住所
     */
    @TableField("COMPANY_ADDRESS")
    private String companyAddress;
    /**
     * 是否区内企业
     */
    @TableField("IS_IN_AREA_ENTERPRISES")
    private String isInAreaEnterprises;
    /**
     * 登记机关
     */
    @TableField("REGISTER_INSTITUTION")
    private String registerInstitution;
    /**
     * 成立日期
     */
    @TableField("ESTABLISH_DATE")
    private String establishDate;
    /**
     * 营业期限起
     */
    @TableField("BUSNISS_TERM_START_DATE")
    private String busnissTermStartDate;
    /**
     * 营业期限止
     */
    @TableField("BUSNISS_TERM_ENDT_DATE")
    private String busnissTermEndtDate;
    /**
     * 营业范围
     */
    @TableField("BUSINESS_SCOPE")
    private String businessScope;
    /**
     * 类型
     */
    @TableField("COMPANY_TYPE")
    private String companyType;
    /**
     * 是否为永久经营
     */
    @TableField("IS_PERPETUAL")
    private String isPerpetual;

}