package com.gx.obe.server.management.struct_new.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dom4j.Element;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @author mazc
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_template_table")
public class ObeTemplateTable extends Model<ObeTemplateTable> {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private String id;
    @TableField("TENDER_ID")
    private String tenderId;
    @TableField("SUPPLIER_ID")
    private String supplierId;
    @TableField("REL_CHAPTER_TYPE")
    private String relChapterType;
    @TableField("DATA_CODE")
    private String dataCode;
    @TableField("XML_PATH")
    private String xmlPath;
    @TableField("TABLE_NAME")
    private String tableName;
    @TableField("TABLE_INFO")
    private String tableInfo;

}