package com.gx.obe.server.management.struct_new.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.struct_new.entity.ObeProfitlossSheet;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
public interface ObeProfitlossSheetService extends IService<ObeProfitlossSheet> {

    /**
     * @param ObeProfitlossSheetList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeProfitlossSheet> ObeProfitlossSheetList);

    /**
     * @param ObeProfitlossSheetList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeProfitlossSheet> ObeProfitlossSheetList);

    /**
     * @param ObeProfitlossSheet
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeProfitlossSheet ObeProfitlossSheet, String[] attributes);

    /**
     * @param ObeProfitlossSheetList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeProfitlossSheet> ObeProfitlossSheetList, String[] attributes);

    /**
     * @param ObeProfitlossSheetList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeProfitlossSheet> ObeProfitlossSheetList, String[] attributes);

}



