package com.gx.obe.server.management.table.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.table.entity.ObeBidPriceTableItemCollect;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeBidPriceTableItemCollectMapper extends BaseMapper<ObeBidPriceTableItemCollect> {

    /**
     * @param ObeBidPriceTableItemCollectList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeBidPriceTableItemCollectList") List<ObeBidPriceTableItemCollect> ObeBidPriceTableItemCollectList);

    /**
     * @param ObeBidPriceTableItemCollectList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeBidPriceTableItemCollectList") List<ObeBidPriceTableItemCollect> ObeBidPriceTableItemCollectList);

    /**
     * @param ObeBidPriceTableItemCollect
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeBidPriceTableItemCollect") ObeBidPriceTableItemCollect ObeBidPriceTableItemCollect, @Param("attributes") String[] attributes);

    /**
     * @param ObeBidPriceTableItemCollectList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeBidPriceTableItemCollectList") List<ObeBidPriceTableItemCollect> ObeBidPriceTableItemCollectList, @Param("attributes") String[] attributes);

}