package com.gx.obe.server.management.table.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.table.entity.ObeBidPriceTableItemCollect;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
public interface ObeBidPriceTableItemCollectService extends IService<ObeBidPriceTableItemCollect> {

    /**
     * @param ObeBidPriceTableItemCollectList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeBidPriceTableItemCollect> ObeBidPriceTableItemCollectList);

    /**
     * @param ObeBidPriceTableItemCollectList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeBidPriceTableItemCollect> ObeBidPriceTableItemCollectList);

    /**
     * @param ObeBidPriceTableItemCollect
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeBidPriceTableItemCollect ObeBidPriceTableItemCollect, String[] attributes);

    /**
     * @param ObeBidPriceTableItemCollectList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeBidPriceTableItemCollect> ObeBidPriceTableItemCollectList, String[] attributes);

    /**
     * @param ObeBidPriceTableItemCollectList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeBidPriceTableItemCollect> ObeBidPriceTableItemCollectList, String[] attributes);

    /**
     * @param priceTableId
     * @return
     * @Description: 根据报价表id获取
     * @author chenxw
     */
    List<ObeBidPriceTableItemCollect> getByPriceTableId(String priceTableId);

}



