package com.gx.obe.server.management.vo;

import java.util.List;

import com.gx.obe.server.management.evaluation.entity.EvaluationStep;
import com.gx.obe.server.management.negotiation.entity.NegotiationResult;
import com.gx.obe.server.management.supplier.entity.SupplierEvaluationStep;




/** 
 * @Description: 
 * @author wangxiang 
 */
public class SaveNegotiationResultVo {

	private String tenderId;
	private String userId;
	private EvaluationStep evaluationStep;
	private List<NegotiationResult> nodeNegotiationResultList;
	private List<SupplierEvaluationStep> supplierEvalNodeList;

	public SaveNegotiationResultVo(String tenderId, String userId, EvaluationStep evaluationStep, List<NegotiationResult> nodeNegotiationResultList, List<SupplierEvaluationStep> supplierEvalNodeList) {
		super();
		this.tenderId = tenderId;
		this.userId = userId;
		this.evaluationStep = evaluationStep;
		this.nodeNegotiationResultList = nodeNegotiationResultList;
		this.supplierEvalNodeList = supplierEvalNodeList;
	}

	public String getTenderId() {
		return tenderId;
	}

	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public EvaluationStep getEvaluationStep() {
		return evaluationStep;
	}

	public void setEvaluationStep(EvaluationStep evaluationStep) {
		this.evaluationStep = evaluationStep;
	}

	public List<NegotiationResult> getNodeNegotiationResultList() {
		return nodeNegotiationResultList;
	}

	public void setNodeNegotiationResultList(List<NegotiationResult> nodeNegotiationResultList) {
		this.nodeNegotiationResultList = nodeNegotiationResultList;
	}

	public List<SupplierEvaluationStep> getSupplierEvalNodeList() {
		return supplierEvalNodeList;
	}

	public void setSupplierEvalNodeList(List<SupplierEvaluationStep> supplierEvalNodeList) {
		this.supplierEvalNodeList = supplierEvalNodeList;
	}
	

}
