package com.gx.obe.server.tripartitefunction.bidata.service;

import java.util.List;

import com.gx.obe.server.common.vo.Result;
import com.gx.obe.server.tripartitefunction.bidata.SupplierDTO;
import com.gx.obe.server.tripartitefunction.bidata.vo.BidataMutiNodesOrderStatus;
import com.gx.obe.server.tripartitefunction.bidata.vo.BidataMutiNodesOrderStatusRequest;
import com.gx.obe.server.tripartitefunction.bidata.vo.BidataMutiNodesRequest;
import com.gx.obe.server.tripartitefunction.bidata.vo.EntInfo;
import com.gx.obe.server.tripartitefunction.bidata.vo.MutiNodesBody;
import com.gx.obe.server.tripartitefunction.bidata.vo.SupplierInofVo;

public interface BidataService {

	
	/**
	 * @Description: 企业详情查询企业版
	 * @author mazc
	 * @param tenderId
	 * @param supplierId
	 * @return 
	 */
	Result<EntInfo> getAllBillTableQDList(String mainId,String id,String creditcode,String regno, String name, String orgcode);  
	
	
	
	/**
	 * @Description: 获取
	 * @author mazc
	 * @param mainIdList
	 * @return 
	 */
	Result<List<SupplierInofVo>> getSupplierlistInfor(List<SupplierDTO> supplierDTOList);
	
	
	/**
	 * @Description: 多节点关联查询
	 * @author mazc
	 * @param mutiNodesBody
	 * @return 
	 */
	Result<String>  muti_nodes(MutiNodesBody mutiNodesBody);
	
	
	/**
	 * @Description: 获取订单状态查询
	 * @author mazc
	 * @param order
	 * @return 
	 */
	Result<BidataMutiNodesOrderStatus> order_status(String order);
	
	
	/**
	 * @Description: 通过订单号获取文件内容
	 * @author mazc
	 * @param fileId
	 * @return 
	 */
	Result<String> getMutiNodesFileContent(String order);
}
