package com.gx.obe.server.tripartitefunction.bidata.vo;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;

/** 
 * @Description: 动产抵押-抵押权人信息 ,
 * @author mazc 
 */
public class Mortgageper implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -8997124980503206972L;

	/**
	 * 登记编号 ,
	 */
	@JsonProperty("MAB_REGNO")
	private String MAB_REGNO;
	/**
	 * 抵押权人名称 ,
	 */
	@JsonProperty("MAB_PER_NAME")
	private String MAB_PER_NAME;
	/**
	 * 抵押权人证照/证件类型 ,
	 */
	@JsonProperty("MAB_PER_CERTYPE")
	private String MAB_PER_CERTYPE;
	/**
	 * 抵押权人证照/证件号码 ,
	 */
	@JsonProperty("MAB_PER_CERNO")
	private String MAB_PER_CERNO;
	/**
	 * 所在地 ,
	 */
	@JsonProperty("MAB_PER_DOM")
	private String MAB_PER_DOM;
	/**
	 * 采集地址
	 */
	@JsonProperty("MAB_PER_URL")
	private String MAB_PER_URL;

	public String getMAB_REGNO() {
		return MAB_REGNO;
	}

	public void setMAB_REGNO(String mAB_REGNO) {
		MAB_REGNO = mAB_REGNO;
	}

	public String getMAB_PER_NAME() {
		return MAB_PER_NAME;
	}

	public void setMAB_PER_NAME(String mAB_PER_NAME) {
		MAB_PER_NAME = mAB_PER_NAME;
	}

	public String getMAB_PER_CERTYPE() {
		return MAB_PER_CERTYPE;
	}

	public void setMAB_PER_CERTYPE(String mAB_PER_CERTYPE) {
		MAB_PER_CERTYPE = mAB_PER_CERTYPE;
	}

	public String getMAB_PER_CERNO() {
		return MAB_PER_CERNO;
	}

	public void setMAB_PER_CERNO(String mAB_PER_CERNO) {
		MAB_PER_CERNO = mAB_PER_CERNO;
	}

	public String getMAB_PER_DOM() {
		return MAB_PER_DOM;
	}

	public void setMAB_PER_DOM(String mAB_PER_DOM) {
		MAB_PER_DOM = mAB_PER_DOM;
	}

	public String getMAB_PER_URL() {
		return MAB_PER_URL;
	}

	public void setMAB_PER_URL(String mAB_PER_URL) {
		MAB_PER_URL = mAB_PER_URL;
	}

}